// CMComboBoxView.h : interface of the CCMComboBoxView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_CMCOMBOBOXVIEW_H__94D4E1B2_0328_11D4_9F88_080009EE62AA__INCLUDED_)
#define AFX_CMCOMBOBOXVIEW_H__94D4E1B2_0328_11D4_9F88_080009EE62AA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CCMComboBoxView : public CFormView
{
protected: // create from serialization only
	CCMComboBoxView();
	DECLARE_DYNCREATE(CCMComboBoxView)

public:
	//{{AFX_DATA(CCMComboBoxView)
	enum { IDD = IDD_CMCOMBOBOX_FORM };
	CMemoryComboBox	m_CBDemo;
	//}}AFX_DATA

// Attributes
public:
	CCMComboBoxDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCMComboBoxView)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnPrint(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CCMComboBoxView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CCMComboBoxView)
	afx_msg void OnSelchangeCbcolors();
	//}}AFX_MSG
	// MG: For DialogBar Demo, we add handler manually for selection change on Combo Box
	afx_msg void OnSelChangedURL();
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in CMComboBoxView.cpp
inline CCMComboBoxDoc* CCMComboBoxView::GetDocument()
   { return (CCMComboBoxDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CMCOMBOBOXVIEW_H__94D4E1B2_0328_11D4_9F88_080009EE62AA__INCLUDED_)
